#include <ColorEx.au3>
#include <ColorExConstants.au3>
#include <Array.au3>

Global $aColor = _ColorGetRGB($COLOR_RAL_2004)
Global $aTriad = _ColorHarmonyTriad(_ColorConvertRGBToCIELCH($aColor))
Global $aSplitCompl = _ColorHarmonySplitComplements(_ColorConvertRGBToCIELCH($aColor))
Global $aAnalog = _ColorHarmonyAnalogous(_ColorConvertRGBToCIELCH($aColor))
Global $aComplement = _ColorHarmonyComplement(_ColorConvertRGBToCIELCH($aColor))

$hGUI = GUICreate("Color Harmonies", 310, 260)

GUICtrlCreateLabel("Base Color", 160, 10, 150, 30)
GUICtrlSetFont(-1, 12)

GUICtrlCreateLabel("Triad", 160, 60, 150, 30)
GUICtrlSetFont(-1, 12)

GUICtrlCreateLabel("Split Complements", 160, 110, 150, 30)
GUICtrlSetFont(-1, 12)

GUICtrlCreateLabel("Analogous", 160, 160, 150, 30)
GUICtrlSetFont(-1, 12)

GUICtrlCreateLabel("Complementary", 160, 210, 150, 30)
GUICtrlSetFont(-1, 12)

GUICtrlCreateLabel("", 10, 10, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB($aColor))

; Triad

GUICtrlCreateLabel("", 10, 60, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB($aColor))

GUICtrlCreateLabel("", 60, 60, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aTriad[0])))

GUICtrlCreateLabel("", 110, 60, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aTriad[1])))

; Split complements

GUICtrlCreateLabel("", 10, 110, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB($aColor))

GUICtrlCreateLabel("", 60, 110, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aSplitCompl[0])))

GUICtrlCreateLabel("", 110, 110, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aSplitCompl[1])))

; Analogous

GUICtrlCreateLabel("", 10, 160, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB($aColor))

GUICtrlCreateLabel("", 60, 160, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aAnalog[0])))

GUICtrlCreateLabel("", 110, 160, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aAnalog[1])))

; Complement

GUICtrlCreateLabel("", 10, 210, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB($aColor))

GUICtrlCreateLabel("", 60, 210, 40, 40)
GUICtrlSetBkColor(-1, _ColorSetRGB(_ColorConvertCIELCHToRGB($aComplement)))

GUISetState()

While GUIGetMsg() <> -3
WEnd
